Subject: [alpine-aports] [PATCH] main/jwm: upgrade to 2.3.6, fixes in APKBUILD

From: Valery Kartel <[email-masked]>
Date: Mon, 19 Dec 2016 14:05:05 +0200

---
 main/jwm/APKBUILD | 49 ++++++++++++++-----------------------------------
 1 file changed, 14 insertions(+), 35 deletions(-)

diff --git a/main/jwm/APKBUILD b/main/jwm/APKBUILD
index b0e7d880e5..88126b71ab 100644
--- a/main/jwm/APKBUILD
+++ b/main/jwm/APKBUILD
@@ -1,8 +1,8 @@
+# Contributor: Valery Kartel <[email-masked]>
 # Contributor: Jeff Pohlmeyer <[email-masked]>
 # Maintainer: Jeff Pohlmeyer <[email-masked]>
-
 pkgname=jwm
-pkgver=2.3.4
+pkgver=2.3.6
 pkgrel=0
 pkgdesc="A lightweight window manager for the X11 Window System"
 url="http://joewing.net/programs/jwm/"
@@ -11,50 +11,29 @@ license="GPL2"
 depends=
 depends_dev=""
 makedepends="libx11-dev libxext-dev libxft-dev libxmu-dev libxinerama-dev
-            libxpm-dev libxrender-dev libjpeg-turbo-dev libpng-dev
-            librsvg-dev"
-install=
-subpackages="$pkgname-doc"
-source="http://joewing.net/projects/jwm/releases/jwm-$pkgver.tar.xz"
-
-
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$_builddir"
-}
+	libxpm-dev libxrender-dev libjpeg-turbo-dev libpng-dev librsvg-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://joewing.net/projects/$pkgname/releases/$pkgname-$pkgver.tar.xz"
+builddir="$srcdir"/$pkgname-$pkgver
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
 		--sysconfdir=/etc \
-		--enable-confirm \
-		--enable-icons \
-		--enable-png \
-		--enable-jpeg \
-		--enable-xpm \
-		--enable-xft \
-		--enable-xrender \
-		--enable-shape \
-		--enable-xmu \
-		--enable-xinerama \
-		--disable-fribidi \
-		--disable-debug \
+		--disable-rpath \
 		|| return 1
 	make || return 1
 }
 
 package() {
-	cd "$_builddir"
-	make \
-		BINDIR="$pkgdir/usr/bin" \
-		MANDIR="$pkgdir/usr/share/man" \
-		SYSCONF="$pkgdir/etc" install || return 1
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="64660b8b9dbd842d02662e4de95789c3  jwm-2.3.4.tar.xz"
-sha256sums="249867d2e21fab27f69d4f64b5c8acba5ddc540030e31e450c20ed4b647a06ee  jwm-2.3.4.tar.xz"
-sha512sums="db9f46ced4b1f8128673b551cd865b6c9b6c8d43f839cfe898168251e8326d402a510ce77144273488c1e65a96d66e16124e4b4749a5a96a9057c1eb20c2bee1  jwm-2.3.4.tar.xz"
+md5sums="9b5bb26df64481c060c3923a3cffa2c2  jwm-2.3.6.tar.xz"
+sha256sums="a0fedbdf790d2ad2016730db593c436def277507bcdf96d6e85d7f4dc435273d  jwm-2.3.6.tar.xz"
+sha512sums="ed3556bf2e28bfcf36b2b145e6c08e75c24e47b723b16ce072100d2773338d819c5465e7af2dc6b842e2e35f375ec3a0b85d9987e0a8acecdbe628dc09eabd11  jwm-2.3.6.tar.xz"
-- 
2.11.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---